summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Arthur W. Green <lynx@panix.com>2016-03-19 00:53:26 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-03-19 00:53:43 +0700
commit1bd0cbd0c5b54d155f3f03dd47e36377fbd7b93b (patch)
treecc20c7bfdbc3a10a048ad188f268f68e9d5aae60 /libraries
parent7a9b6598c1de4c6b861762d76fa08d3750e4ddab (diff)
downloadslackbuilds-1bd0cbd0c5b54d155f3f03dd47e36377fbd7b93b.tar.gz
slackbuilds-1bd0cbd0c5b54d155f3f03dd47e36377fbd7b93b.tar.xz
libraries/libaaio: Added (AAIO Advanced I/O Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libaaio/README9
-rw-r--r--libraries/libaaio/libaaio.SlackBuild99
-rw-r--r--libraries/libaaio/libaaio.info10
-rw-r--r--libraries/libaaio/slack-desc18
4 files changed, 136 insertions, 0 deletions
diff --git a/libraries/libaaio/README b/libraries/libaaio/README
new file mode 100644
index 0000000000..a1f803a01b
--- /dev/null
+++ b/libraries/libaaio/README
@@ -0,0 +1,9 @@
+libaaio is a software library providing the functionality of getch(), getche()
+and kbhit() on Linux and UNIX systems (including Mac OS X). It does not
+require an initialization (like curses) and does not abuse the terminal (i.e.
+whenever the mode of the terminal is changed its state is stored so it can be
+restored).
+
+The software has not seen any changes since 2005, but remains useful for
+programs that still require it (e.g., beta releases of the Composer's Desktop
+Project tools).
diff --git a/libraries/libaaio/libaaio.SlackBuild b/libraries/libaaio/libaaio.SlackBuild
new file mode 100644
index 0000000000..e249b50d31
--- /dev/null
+++ b/libraries/libaaio/libaaio.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh -e
+
+# SlackBuild for libaaio, 9 March 2016
+# Arthur W. Green <lynx@panix.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# libaaio itself remains a copyrighted work. Please see the file COPYING
+# or README in the libaaio source distribution for more on this.
+
+PRGNAM=libaaio
+VERSION=${VERSION:-0.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -exec chmod -R u+w,go-w,a+rX-st {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libaaio/libaaio.info b/libraries/libaaio/libaaio.info
new file mode 100644
index 0000000000..d830e5977f
--- /dev/null
+++ b/libraries/libaaio/libaaio.info
@@ -0,0 +1,10 @@
+PRGNAM="libaaio"
+VERSION="0.3.1"
+HOMEPAGE="http://aaio.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/aaio/aaio/AAIO%200.3.1%20src/libaaio-0.3.1.tar.bz2"
+MD5SUM="271b4fe7ff38c65c5fc33c4d1311ca0c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Arthur W. Green"
+EMAIL="lynx@panix.com"
diff --git a/libraries/libaaio/slack-desc b/libraries/libaaio/slack-desc
new file mode 100644
index 0000000000..f0c7f441f1
--- /dev/null
+++ b/libraries/libaaio/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libaaio: libaaio (AAIO Advanced I/O Library)
+libaaio:
+libaaio: This library provides the functionality of getch(), getche() and
+libaaio: kbhit() on UNIX and Linux systems (including Mac OS X). It does not
+libaaio: require an initialization (like curses) and does not abuse the
+libaaio: terminal (i.e. whenever the mode of the terminal is changed its
+libaaio: state is stored so it can be restored).
+libaaio:
+libaaio: http://aaio.sourceforge.net/
+libaaio: